Loading...
Searching...
No Matches
casacore::SubScanKey Struct Reference

A sub scan is a unique combination of observation ID, array ID, scan number, and field ID. More...

`#include <MSKeys.h>`

## Public Attributes

Int | obsID
Int | arrayID
Int | scan
Int | fieldID

## Detailed Description

A sub scan is a unique combination of observation ID, array ID, scan number, and field ID.

Negative values are allowed to indicate all values of the particular ID are desired.

Definition at line 40 of file MSKeys.h.

## Member Data Documentation

## arrayID

Int casacore::SubScanKey::arrayID

Definition at line 42 of file MSKeys.h.

Referenced by casacore::scanKey().

## fieldID

Int casacore::SubScanKey::fieldID

Definition at line 44 of file MSKeys.h.

## obsID

Int casacore::SubScanKey::obsID

Definition at line 41 of file MSKeys.h.

Referenced by casacore::scanKey().

## scan

Int casacore::SubScanKey::scan

Definition at line 43 of file MSKeys.h.

Referenced by casacore::scanKey().

The documentation for this struct was generated from the following file:

- ms/MSOper/MSKeys.h